﻿#language: ru

@IIoT

Функционал: 05_IIoT.02.005 Получение данных с датчика в Приемке и передаче

Сценарий: 05_IIoT.02.005 Остатки смеси в Сырцехе
	Дано Я подключаюсь под "Мастер сырцеха"
	И В командном интерфейсе я выбираю 'Производство' 'Переработки'
	Тогда открылось окно 'Переработки'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Переработка (создание)'
	И в поле 'Дата смены' я ввожу текущую дату
	И из выпадающего списка "Рабочий центр" я выбираю по строке 'пац'
	И я нажимаю кнопку выбора у поля с именем "СкладВыпуск"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сырцех'       |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Переработка (создание) *'
	И я перехожу к закладке "Выпуск"
	И в таблице "Выпуск" я нажимаю на кнопку с именем 'ВыпускДобавить'
	И в таблице "Выпуск" из выпадающего списка с именем "ВыпускНоменклатура" я выбираю по строке 'смес'
	И в таблице "Выпуск" я нажимаю кнопку выбора у реквизита с именем "ВыпускСерия"
	Тогда открылось окно 'Серии номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Номер' |
		| '2'     |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "Выпуск" в поле с именем 'ВыпускКоличество' я ввожу текст '100,000'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Переработка (создание) *' в течение 20 секунд
	Тогда открылось окно 'Переработки'
	И Я закрываю окно 'Переработки'

Сценарий: 05_IIoT.02.005 Получение данных с датчика в Приемке и передаче
	Дано Я подключаюсь под "Киоск"
	И в поле 'Дата' я ввожу текущую дату
	И я нажимаю кнопку выбора у поля "УчетнаяТочка"
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Посолка'     |
	И я нажимаю на кнопку с именем 'Выбрать'
	И я нажимаю на кнопку 'Выпуск сыра'
	Тогда открылось окно 'Выпуск сыра *'
	И в таблице "ТаблицаОстатков" я перехожу к строке по шаблону:
		| 'Количество'  | 'Номенклатура'       |
		| '100,000, кг' | 'Смесь 50% / 2 до *' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Выпуск сыра *'
	И я нажимаю на кнопку с именем 'КомандаOPCКоличество'
	И у элемента с именем "Количество" я жду значения "100,000" в течение 10 секунд
	И Я закрываю окно 'Выпуск сыра *'

Сценарий: 05_IIoT.02.005 Закрытие клиента тестирования
	И я закрываю сеанс TESTCLIENT